From 4f729766da9021e3074191bab07820a8ed6cad6b Mon Sep 17 00:00:00 2001
From: Greg Tucker <greg.b.tucker@intel.com>
Date: Mon, 29 Aug 2022 09:44:32 -0700
Subject: [PATCH] rolling_hash: Fix missing static on inline support functions

Alpine linux edge failure. Fixes #103

Change-Id: Idce3c5ece97c4d6567eeead2b19bdfa9c6ec9726
Signed-off-by: Greg Tucker <greg.b.tucker@intel.com>
---
 rolling_hash/rolling_hashx_base.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/rolling_hash/rolling_hashx_base.c b/rolling_hash/rolling_hashx_base.c
index 4197def..d9a71a3 100644
--- a/rolling_hash/rolling_hashx_base.c
+++ b/rolling_hash/rolling_hashx_base.c
@@ -32,7 +32,7 @@
 # define inline __inline
 #endif
 
-inline int floor_pow2(uint32_t in)
+static inline int floor_pow2(uint32_t in)
 {
 	uint32_t x = in;
 
@@ -43,7 +43,7 @@ inline int floor_pow2(uint32_t in)
 	return x;
 }
 
-inline uint32_t rol(uint32_t x, int i)
+static inline uint32_t rol(uint32_t x, int i)
 {
 	return x << i | x >> (8 * sizeof(x) - i);
 }
